/*
Panography Tool V0.2
Dan Brew 2011
*/
fn CopyCamera OldCam =
(
	maxOps.cloneNodes OldCam expandHierarchy:false cloneType:#copy newNodes:&NewCamA
	NewCamA[1]
)

(
if isKindof $ VRayPhysicalCamera 
	then
		(
			local UserCam = CopyCamera $
			local xShots = 5
			local yShots = 4
			local ucShutter = UserCam.shutter_speed
			local ucWhiteB = UserCam.whiteBalance
			local tm = 1
			UserCam.targeted = false
			UserCam.transform.controller = prs()
			UserCam.exposure = true
			UserCam.vignetting = true
			UserCam.focal_length = 80
			Select UserCam

			for yShot = 1 to yShots do
			(
				yOffset = (yShot * 0.5) - (((yShots * 0.5)/2) +0.25)
				for xShot = 1 to xShots do
					(
					animate on
						(
						at time tm
							(
								UserCam.horizontal_offset = (xShot * 0.5) - (((xShots * 0.5)/2) +0.25)
								UserCam.vertical_offset = yOffset
								UserCam.vignetting_amount = random 0.50 1.50
								UserCam.shutter_speed = random (ucShutter - (ucShutter * 0.2)) (ucShutter + (ucShutter * 0.2))
								UserCam.whiteBalance = random (color 220 220 220) (color 255 255 255)
								local rRoll = random -10.0 10.0
								local rRot = eulerangles 0 0 rRoll
								in coordsys local rotate UserCam rRot
							)
						tm +=1
						at time tm
							(
								local invrRot = eulerangles 0 0 (0 - rRoll)
								in coordsys local rotate UserCam invrRot
							)
						)--end animate
						
					)--end xShot loop
			)--end yShot loop
		)--end then
	else
		(
			messagebox "Please select a VRay Camera"
		)
)